Unable to install gems using Gem Manager

Hi,

I have just started to use RubyMine and have tried to install some gems using the Gem Manager.

When I select a gem to install and click the install button, nothing happens.

I was wondering if anyone has had this issue before and whether they were able to resolve it.

Regards,

Scott.

6 comments
Comment actions Permalink

Hi Scott,

1. Which OS do you use.
2. Which interpreter is selected in Settings | "Ruby SDK and Gems" tab
3. If you use Mac or Linux please execute in console:

which ruby



 

which gemd



 

gem environment



 

and show us console output

4. Please attach idea.log as described here

0
Comment actions Permalink

Also please ensure you use the latests rubygems available.
To update gem manager itself please run

sudo gem update --system

Regards,
Oleg

0
Comment actions Permalink

Hi Roman,

I am running RubyMine on Vista x64

The interpreter used is Ruby SDK 1.8.6 - ruby 1.8.6 (2008-08-11 patchlevel 287) [i386-mswin32]

The version of gem I am using is 1.3.4

I have also tried updating gem

C:\>gem update --system
Updating RubyGems
Nothing to update

I did a search for the idea.log but couldn't find it on my system.

Is RubyMine certified for Vista x64?

Regards,

Scott.

0
Comment actions Permalink

I did a search for the idea.log but couldn't find it on my system.

idea.log can be found in $USER_HOME$/RubyMine10/system/log

Is RubyMine certified for Vista x64?

RubyMine requires Sun Java SDK, so Vista x64 is ok.

Regards,
Oleg

0
Comment actions Permalink

Hi Oleg,

I have attached the idea.log.

Regards,

Scott.



Attachment(s):
idea.log
0
Comment actions Permalink

Hello Scott,

I have attached the idea.log.

Thank for the log file, it has clarified the situation. Log shows internal RubyMine error, which is already fixed and will be available in RubyMine 1.1.1 coming this week.
Sorry for such inconviniences, as for now you should install gems using command line.

Regards,
Oleg

0

Please sign in to leave a comment.